function SDIRK(T, N, gamma)
% INPUT: T - time interval
%        N - number of points in the time interval
%        gamma - paramater of the method

% Initialise the data
t = ;% Time grid;
h = ;% time step size;
y0 = 0.5; % Initial value
y = ;% Set the solution vector
f = @(x) ;% Right hand side function
df = @(x) ;% Derivative of f
nNewton = 100; % Maximum number of Newton iterations
tol = 1e-10; % tolerance for breaking the Newton iterations

for i = 1:length(y)-1
    % First compute k1 with the Newton algorithm
    k1 = ;
    % .. then compute k2 with the Newton algorithm (by also using the just
    % computed value of k1
    k2 = ;
    y(i+1) = ;% Compute the solution at the current time step 
end

% Plotting
plot(t, y, 'bo');
[tt, yy] = ode45(@(t,x) cos(x.^2)+x./4, T, y0); % Using ode45
hold on
plot(tt, yy,'r-');
print('q2_sdirk.pdf', '-dpdf', '-r200');
legend('Our solution','ode45');

end

function k = Newton( )
% Use newton method to solve root-finding problem
% Define your own input parameter of this function
    kold = 0;
    for j = 1: 
        k =  ;
        if abs(k-kold)< tol
            break
        else
            kold = k;
        end
    end
end