function KeplerWithoutProjection
%   This function calculates the trajectory of solution, and 
%   the change in Hamiltonian along with Lagragian. 
%   Explicit euler method is applied as numerical approximation.
%   Projection method is NOT applied here as amendment.
%   
%   In the equation, q stands for position, so in trajectory graph data of
%   q is needed.

% eccentricity
e =  ;

% initial value of p and q
q_ini = [ ; ];
p_ini = [ ; ];

% Time interval
T =  ;
% Step size
h =  ;
% Number of steps
N = T/h;

% Hamiltonian
Ham = @(p,q)  ;
% Angular Momentum
Lag = @(p,q)  ;

% Derivatives of p and q(for Explicit Euler method)



% Space to store results
p = zeros(2,N+1);
q = zeros(2,N+1);
H = zeros(1,N+1);
L = zeros(1,N+1);

% Initialize
p(:,1) = p_ini;
q(:,1) = q_ini;
H(1) = Ham(p_ini,q_ini);
L(1) = Lag(p_ini,q_ini);



for i = 1:N
    
    % Explicit Euler
   
    
    % Calculate Hamiltonian and Lagrangian
    H(i+1) =  ;
    L(i+1) =  ;
    
end



% Plot
figure;
plot(q(1,:),q(2,:)); 
print('q4_keplerwoprojtraj.pdf', '-dpdf', '-r200');
figure;
plot(H,'-r'); hold on;
plot(L,'-b'); hold on;
legend('Hamiltonian','Angular Momentum');
print('q4_keplerwoprojham.pdf', '-dpdf', '-r200');
